Name:           libX11
Version:        1.6.7
Release:        1
License:        MIT
Summary:        Core X11 protocol client library
URL:            https://www.x.org
Source0:        https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2
Patch0:         dont-forward-keycode-0.patch

BuildRequires:  xorg-x11-util-macros xorg-x11-proto-devel  libXdmcp-devel
BuildRequires:  xorg-x11-xtrans-devel libxcb-devel libXau-devel perl-Pod-Usage

Provides:       libX11-common libX11-xcb
Obsoletes:      libX11-common libX11-xcb

%description
Core X11 protocol client library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -ivf
%configure --disable-silent-rules
%make_build

%install
%make_install INSTALL="install -p"
mkdir -p $RPM_BUILD_ROOT/var/cache/libX11/compose

%delete_la

%check
make %{?_smp_mflags} check

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_datadir}/X11/locale/*
%{_datadir}/X11/XErrorDB
%dir /var/cache/libX11/compose
%{_libdir}/*.so.*

%files          devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/X11/*.h
%{_libdir}/pkgconfig/*.pc

%files          help
%defattr(-,root,root)
%doc README NEWS
%{_mandir}/*/*

%exclude %{_docdir}
%exclude %{_datadir}/X11/Xcms.txt

%changelog
* Fri Aug 30 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.6.7-1
- Package init
